%define rname	downbar
%define cid		\{D4DD63FA-01E4-46a7-B6B1-EDAB7D6AD389\}
%define ciddir	%firefox_extensionsdir/%cid

Summary:	Plugin to create Download Statusbar in Firefox
Name:		%firefox_name-%rname
Version:	0.9.2
Release:	alt1.M24.1
Source0:	%rname.xpi
License:	GPL
Group:		Networking/WWW	
URL:		http://downloadstatusbar.mozdev.org/
BuildRequires:	%firefox_name-devel unzip
BuildArch:	noarch
Serial:		1

Requires: %firefox_name >= %firefox_version

%description 
Allows you to keep track of ongoing and completed downloads in an easy 
to use, hide-away statusbar.

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%post
%firefox_install_extension %ciddir

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Wed Apr 20 2005 LAKostis <lakostis at altlinux.ru> 1:0.9.2-alt1.M24.1
- backport to Master-2.4.

* Sat Mar 05 2005 Alexey Gladkov <legion@altlinux.ru> 1:0.9.2-alt2.1
- postscript bugfix;

* Fri Jan 19 2005 Alexey Gladkov <legion@altlinux.ru> 1:0.9.2-alt2
- rebuild with new firefox.
- Requires to firefox package was relaxed.

* Fri Jan 07 2005 Alexey Gladkov <legion@altlinux.ru> 1:0.9.2-alt1
- new version;
- new extension scheme;

* Wed Oct 27 2004 Alexey Gladkov <legion@altlinux.ru> 1:0.9.1-alt2
- new version;
- Spec changes;

* Fri Feb 13 2004 Alexey Gladkov <legion@altlinux.ru> 0.82-alt1
- Mozilla Firebird becomes Mozilla Firefox. Mozilla's next 
  generation browser has changed names (again);
- New version;

* Thu Dec 04 2003 Alexey Gladkov <legion@altlinux.ru> 0.8-alt1
- first build for ALT Linux.


